> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook integration

> Get webhook integration



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/integrations/webhooks/getWebhookIntegration
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/integrations/webhooks/getWebhookIntegration:
    post:
      tags:
        - Webhook Integrations Webservice
      summary: Get webhook integration
      description: Get webhook integration
      operationId: getWebhookIntegration
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Integration_BaseIntegrationWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Integration_GetOrgIntegrationsV2WSResponse
          description: OK
components:
  schemas:
    Integration_BaseIntegrationWSRequest:
      type: object
      description: Base request object for integration operations.
    Integration_GetOrgIntegrationsV2WSResponse:
      type: object
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        orgIntegrationV2:
          $ref: '#/components/schemas/IBaseIntegrationType'
        warningMsg:
          type: string
          nullable: true
    IBaseIntegrationType:
      type: object
      discriminator:
        propertyName: integration
      oneOf:
        - $ref: '#/components/schemas/AperioType'
        - $ref: '#/components/schemas/AvigilonAltaType'
        - $ref: '#/components/schemas/BoulevardType'
        - $ref: '#/components/schemas/BrivoType'
        - $ref: '#/components/schemas/ButterflyMXType'
        - $ref: '#/components/schemas/DeviceIntegrationType'
        - $ref: '#/components/schemas/DiceType'
        - $ref: '#/components/schemas/EnvoyType'
        - $ref: '#/components/schemas/FlicType'
        - $ref: '#/components/schemas/GeneaType'
        - $ref: '#/components/schemas/GoogleType'
        - $ref: '#/components/schemas/GuestManagementType'
        - $ref: '#/components/schemas/HoneywellElementsType'
        - $ref: '#/components/schemas/InformacastType'
        - $ref: '#/components/schemas/InnerRangeType'
        - $ref: '#/components/schemas/KisiType'
        - $ref: '#/components/schemas/LumeoType'
        - $ref: '#/components/schemas/MicrosoftTeamsType'
        - $ref: '#/components/schemas/NineOneOneCellularType'
        - $ref: '#/components/schemas/OmnialertType'
        - $ref: '#/components/schemas/OpenAIType'
        - $ref: '#/components/schemas/OpentechAllianceType'
        - $ref: '#/components/schemas/PimlocType'
        - $ref: '#/components/schemas/PlaceOsType'
        - $ref: '#/components/schemas/ProDataKeyType'
        - $ref: '#/components/schemas/RaptorType'
        - $ref: '#/components/schemas/ShellyType'
        - $ref: '#/components/schemas/ToastType'
        - $ref: '#/components/schemas/WebhooksType'
        - $ref: '#/components/schemas/ZapierType'
        - $ref: '#/components/schemas/ParPOSType'
        - $ref: '#/components/schemas/HoneywellOnGuardType'
        - $ref: '#/components/schemas/HoneywellNetBoxType'
        - $ref: '#/components/schemas/SignatureApiType'
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AperioType:
      type: object
      allOf: []
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AvigilonAltaType:
      type: object
      allOf:
        - type: object
          properties:
            alertUnauthorizedFaces:
              type: boolean
              nullable: true
            apiToken:
              type: string
              nullable: true
            badgeAuthDisablesAlarmMonitoring:
              type: boolean
              nullable: true
            createAccessAnomalyAlerts:
              type: boolean
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
              nullable: true
            doorToCameraMap:
              type: object
              additionalProperties:
                type: array
                items:
                  type: string
                  format: RUUID
                  description: base 64 (url-safe) uuid string
                  example: AAAAAAAAAAAAAAAAAAAAAA
                  nullable: true
                nullable: true
              nullable: true
            doorsValidated:
              type: boolean
              nullable: true
            email:
              type: string
              nullable: true
            eventToWebhookIdMap:
              type: object
              additionalProperties:
                type: integer
                format: int32
                nullable: true
              nullable: true
            eventToWebhookMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/WebhookMapEntry'
              nullable: true
            identifyFacesFromBadge:
              type: boolean
              nullable: true
            indexFaces:
              type: boolean
              nullable: true
            misconfiguredDoors:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            password:
              type: string
              nullable: true
            refreshToken:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
            webhookId:
              type: integer
              format: int32
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    BoulevardType:
      type: object
      allOf:
        - type: object
          properties:
            accessWindowAfterMinutes:
              type: integer
              format: int32
              nullable: true
            accessWindowBeforeMinutes:
              type: integer
              format: int32
              nullable: true
            apiToken:
              type: string
              nullable: true
            boulevardBusinessId:
              type: string
              nullable: true
            boulevardLocationToRhombusLocationMap:
              type: object
              additionalProperties:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
            refreshToken:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    BrivoType:
      type: object
      allOf:
        - type: object
          properties:
            accessToken:
              type: string
              nullable: true
            alertUnauthorizedFaces:
              type: boolean
              nullable: true
            apiKey:
              type: string
              nullable: true
            apiToken:
              type: string
              nullable: true
            badgeAuthDisablesAlarmMonitoring:
              type: boolean
              nullable: true
            clientId:
              type: string
              nullable: true
            clientSecret:
              type: string
              nullable: true
            createAccessAnomalyAlerts:
              type: boolean
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
              nullable: true
            doorsValidated:
              type: boolean
              nullable: true
            identifyFacesFromBadge:
              type: boolean
              nullable: true
            indexFaces:
              type: boolean
              nullable: true
            misconfiguredDoors:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            password:
              type: string
              nullable: true
            refreshToken:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
            username:
              type: string
              nullable: true
            version:
              type: integer
              format: int32
              nullable: true
            webhookId:
              type: integer
              format: int32
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ButterflyMXType:
      type: object
      allOf:
        - type: object
          properties:
            alertUnauthorizedFaces:
              type: boolean
              nullable: true
            apiToken:
              type: string
              nullable: true
            badgeAuthDisablesAlarmMonitoring:
              type: boolean
              nullable: true
            buildingWebhookIdMap:
              type: object
              additionalProperties:
                type: string
                description: 'A HashMap of <ButterflyMx Building Id, Webhook Id>. '
                nullable: true
              description: 'A HashMap of <ButterflyMx Building Id, Webhook Id>. '
              nullable: true
            createAccessAnomalyAlerts:
              type: boolean
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
              nullable: true
            doorsValidated:
              type: boolean
              nullable: true
            identifyFacesFromBadge:
              type: boolean
              nullable: true
            indexFaces:
              type: boolean
              nullable: true
            misconfiguredDoors:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            panelInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/ButterflymxPanelInfoType'
              description: A HashMap of <Panel Id, ButterflymxPanelInfoType>.
              nullable: true
            refreshToken:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DeviceIntegrationType:
      type: object
      allOf:
        - type: object
          properties:
            deviceSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/DeviceIntegrationSettings'
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DiceType:
      type: object
      allOf: []
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    EnvoyType:
      type: object
      allOf:
        - type: object
          properties:
            alertUnauthorizedFaces:
              type: boolean
              nullable: true
            apiToken:
              type: string
              nullable: true
            badgeAuthDisablesAlarmMonitoring:
              type: boolean
              nullable: true
            createAccessAnomalyAlerts:
              type: boolean
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
              nullable: true
            doorsValidated:
              type: boolean
              nullable: true
            envoyIntegrationInstalled:
              type: boolean
              nullable: true
            envoyUserSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/EnvoyUserSettings'
              nullable: true
            identifyFacesFromBadge:
              type: boolean
              nullable: true
            indexFaces:
              type: boolean
              nullable: true
            locationInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/EnvoyLocationInfoType'
              nullable: true
            misconfiguredDoors:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            refreshToken:
              type: string
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    FlicType:
      type: object
      allOf:
        - type: object
          properties:
            apiKey:
              type: string
              nullable: true
            apiSecret:
              type: string
              nullable: true
            associatedLocations:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
              uniqueItems: true
            moduleUploaded:
              type: boolean
              nullable: true
            webhookId:
              type: string
              nullable: true
            webhookToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    GeneaType:
      type: object
      allOf:
        - type: object
          properties:
            alertUnauthorizedFaces:
              type: boolean
              nullable: true
            apiToken:
              type: string
              nullable: true
            badgeAuthDisablesAlarmMonitoring:
              type: boolean
              nullable: true
            createAccessAnomalyAlerts:
              type: boolean
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
              nullable: true
            doorsValidated:
              type: boolean
              nullable: true
            identifyFacesFromBadge:
              type: boolean
              nullable: true
            indexFaces:
              type: boolean
              nullable: true
            misconfiguredDoors:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            refreshToken:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
            webhookSignatureSecret:
              type: string
              nullable: true
            webhookUuid:
              type: string
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    GoogleType:
      type: object
      allOf:
        - type: object
          properties:
            allowUserStorage:
              type: boolean
              nullable: true
            apiToken:
              type: string
              nullable: true
            defaultAlertFolderId:
              type: string
              nullable: true
            defaultAlertFolderName:
              type: string
              nullable: true
            defaultFolderId:
              type: string
              nullable: true
            defaultFolderName:
              type: string
              nullable: true
            refreshToken:
              type: string
              nullable: true
            saveAllAlerts:
              type: boolean
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
            userSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/GoogleUserSettings'
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    GuestManagementType:
      type: object
      allOf:
        - type: object
          properties:
            locationSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/LocationSettings'
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    HoneywellElementsType:
      type: object
      allOf:
        - type: object
          properties:
            alertUnauthorizedFaces:
              type: boolean
              nullable: true
            apiKey:
              type: string
              nullable: true
            apiToken:
              type: string
              nullable: true
            badgeAuthDisablesAlarmMonitoring:
              type: boolean
              nullable: true
            baseUrl:
              type: string
              nullable: true
            createAccessAnomalyAlerts:
              type: boolean
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
              nullable: true
            doorsValidated:
              type: boolean
              nullable: true
            identifyFacesFromBadge:
              type: boolean
              nullable: true
            indexFaces:
              type: boolean
              nullable: true
            misconfiguredDoors:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            refreshToken:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            siteId:
              type: string
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    InformacastType:
      type: object
      allOf:
        - type: object
          properties:
            apiToken:
              type: string
              nullable: true
            refreshToken:
              type: string
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    InnerRangeType:
      type: object
      allOf:
        - type: object
          properties:
            apiToken:
              type: string
              nullable: true
            consoleToSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/InnerRangeConsoleSettings'
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/InnerRangeDoorInfoType'
              nullable: true
            refreshToken:
              type: string
              nullable: true
            skyTunnelSN:
              type: string
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    KisiType:
      type: object
      allOf:
        - type: object
          properties:
            apiSecretKey:
              type: string
              nullable: true
            defaultOptions:
              $ref: '#/components/schemas/BadgeIntegrationDefaultOptions'
            doorsValidated:
              type: boolean
              nullable: true
            placeToSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationSettings'
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    LumeoType:
      type: object
      allOf: []
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    MicrosoftTeamsType:
      type: object
      allOf:
        - type: object
          properties:
            adminConsent:
              type: boolean
              nullable: true
            allowUserNotifications:
              type: boolean
              nullable: true
            microsoftTeamSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/MicrosoftTeamsChannelSettings'
              nullable: true
            microsoftTeamsUserSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/MicrosoftTeamsUserSettings'
              nullable: true
            tenantId:
              type: string
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    NineOneOneCellularType:
      type: object
      allOf:
        - type: object
          properties:
            bearerToken:
              type: string
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            securityZoneMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/SecurityZoneInfoType'
              nullable: true
            triggerNotification:
              type: boolean
              nullable: true
            webhookToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            zonesValidated:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    OmnialertType:
      type: object
      allOf:
        - type: object
          properties:
            associatedCameras:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
              uniqueItems: true
            saveClips:
              type: boolean
              nullable: true
            triggerNotification:
              type: boolean
              nullable: true
            webhookToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    OpenAIType:
      type: object
      allOf:
        - type: object
          properties:
            apiToken:
              type: string
              nullable: true
            baseUrl:
              type: string
              description: >-
                The base url for any OpenAI Chat Completions compliant API. For
                example, to use Gemini models, set this to
                'https://generativelanguage.googleapis.com/v1beta/openai/'.  If
                left blank, we will try to use OpenAI models.
              nullable: true
            defaultModel:
              type: string
              description: >-
                The model identifier to use as a default model.  This is
                provider specific and typically found on model card pages. For
                example, set to 'gemini-2.0-flash' to use the Gemini 2.0 Flash
                model.  Currently we require a model with vision capabilities
                for this integration.
              nullable: true
            refreshToken:
              type: string
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    OpentechAllianceType:
      type: object
      allOf:
        - type: object
          properties:
            apiKey:
              type: string
              nullable: true
            apiSecret:
              type: string
              nullable: true
            facilityToSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/OpentechAllianceFacilitySettings'
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    PimlocType:
      type: object
      allOf:
        - type: object
          properties:
            baseAPIUrl:
              $ref: '#/components/schemas/PimlocBaseAPIUrlEnum'
            clientId:
              type: string
              nullable: true
            clientSecret:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            validCredentials:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    PlaceOsType:
      type: object
      allOf:
        - type: object
          properties:
            alertUnauthorizedFaces:
              type: boolean
              nullable: true
            apiToken:
              type: string
              nullable: true
            apiUrl:
              type: string
              nullable: true
            badgeAuthDisablesAlarmMonitoring:
              type: boolean
              nullable: true
            createAccessAnomalyAlerts:
              type: boolean
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
              nullable: true
            doorsValidated:
              type: boolean
              nullable: true
            identifyFacesFromBadge:
              type: boolean
              nullable: true
            indexFaces:
              type: boolean
              nullable: true
            misconfiguredDoors:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            refreshToken:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
            triggerNotification:
              type: boolean
              nullable: true
            webhookSignatureSecret:
              type: string
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ProDataKeyType:
      type: object
      allOf:
        - type: object
          properties:
            alertUnauthorizedFaces:
              type: boolean
              nullable: true
            apiToken:
              type: string
              nullable: true
            badgeAuthDisablesAlarmMonitoring:
              type: boolean
              nullable: true
            createAccessAnomalyAlerts:
              type: boolean
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
              nullable: true
            doorsValidated:
              type: boolean
              nullable: true
            identifyFacesFromBadge:
              type: boolean
              nullable: true
            indexFaces:
              type: boolean
              nullable: true
            misconfiguredDoors:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            organizationId:
              type: string
              nullable: true
            refreshToken:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            systemId:
              type: string
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
            webhookId:
              type: string
              nullable: true
            webhookSignatureSecret:
              type: string
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    RaptorType:
      type: object
      allOf:
        - type: object
          properties:
            apiToken:
              type: string
              nullable: true
            clientId:
              type: string
              nullable: true
            clientSecret:
              type: string
              nullable: true
            clientUid:
              type: string
              nullable: true
            refreshToken:
              type: string
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ShellyType:
      type: object
      allOf:
        - type: object
          properties:
            canSendDiagnosticNotifications:
              type: boolean
              nullable: true
            diagnosticQuietPeriodSecs:
              type: integer
              format: int32
              nullable: true
            shellyDeviceMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/ShellyDevice'
              nullable: true
            thirdPartyDeviceToLocationMap:
              type: object
              additionalProperties:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
            webhookToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ToastType:
      type: object
      allOf:
        - type: object
          properties:
            currentToastRestaurantGuid:
              type: string
              nullable: true
            restaurantSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/ToastRestaurantSettings'
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    WebhooksType:
      type: object
      allOf:
        - type: object
          properties:
            activityWebhooks:
              type: object
              additionalProperties:
                type: string
                nullable: true
              nullable: true
            activityWebhooksV2:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/WebhookInfo'
              nullable: true
            diagnosticWebhooks:
              type: object
              additionalProperties:
                type: string
                nullable: true
              nullable: true
            diagnosticWebhooksV2:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/WebhookInfo'
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ZapierType:
      type: object
      allOf:
        - type: object
          properties:
            zapierWebhooks:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/ZapierWebhookSettings'
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ParPOSType:
      type: object
      allOf:
        - type: object
          properties:
            accessToken:
              type: string
              nullable: true
            locationTokenMap:
              type: object
              additionalProperties:
                type: string
                nullable: true
              nullable: true
            serverUrl:
              type: string
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    HoneywellOnGuardType:
      type: object
      allOf:
        - type: object
          properties:
            deploymentToSettingsMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/OnGuardDeploymentSettings'
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    HoneywellNetBoxType:
      type: object
      allOf:
        - type: object
          properties:
            alertUnauthorizedFaces:
              type: boolean
              nullable: true
            apiToken:
              type: string
              nullable: true
            badgeAuthDisablesAlarmMonitoring:
              type: boolean
              nullable: true
            baseUrl:
              type: string
              nullable: true
            createAccessAnomalyAlerts:
              type: boolean
              nullable: true
            createSeekPoints:
              type: boolean
              nullable: true
            doorInfoMap:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
              nullable: true
            doorsValidated:
              type: boolean
              nullable: true
            identifyFacesFromBadge:
              type: boolean
              nullable: true
            indexFaces:
              type: boolean
              nullable: true
            misconfiguredDoors:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            refreshToken:
              type: string
              nullable: true
            rhombusToken:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            saveClips:
              type: boolean
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    SignatureApiType:
      type: object
      allOf:
        - type: object
          properties:
            apiToken:
              type: string
              nullable: true
            refreshToken:
              type: string
              nullable: true
            tokenValid:
              type: boolean
              nullable: true
      nullable: true
      properties:
        enabled:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    IntegrationEnum:
      type: string
      enum:
        - AVIGILON_ALTA
        - BOULEVARD
        - BRIVO
        - BUTTERFLY_MX
        - DEVICE_INTEGRATION
        - DICE
        - ENVOY
        - FLIC
        - GENEA
        - GOOGLE
        - HONEYWELL_ELEMENTS
        - GUEST_MANAGEMENT
        - INFORMACAST
        - INNER_RANGE
        - KISI
        - LUMEO
        - MICROSOFT_TEAMS
        - OMNIALERT
        - OPENAI
        - OPENTECH_ALLIANCE
        - PIMLOC
        - PLACE_OS
        - PRODATAKEY
        - SHELLY
        - TOAST
        - WEBHOOKS
        - ZAPIER
        - RAPTOR
        - NINEONEONE_CELLULAR
        - SLACK
        - APERIO
        - PAR_POS
        - HONEYWELL_ONGUARD
        - HONEYWELL_NETBOX
        - SIGNATURE_API
        - UNKNOWN
    IntegrationAuditEvent:
      type: object
      properties:
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        integrationAuditEvent:
          $ref: '#/components/schemas/IntegrationAuditEventEnum'
        user:
          type: string
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    BadgeIntegrationDoorInfoType:
      type: object
      nullable: true
      properties:
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        clipDuration:
          type: integer
          format: int32
          nullable: true
        doorName:
          type: string
          nullable: true
        leadingSeconds:
          type: integer
          format: int32
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        remoteUnlock:
          type: boolean
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
    WebhookMapEntry:
      type: object
      nullable: true
      properties:
        orgId:
          type: integer
          format: int32
          nullable: true
        webhookId:
          type: integer
          format: int32
          nullable: true
    ButterflymxPanelInfoType:
      type: object
      description: A HashMap of <Panel Id, ButterflymxPanelInfoType>.
      nullable: true
      properties:
        assignedCameraList:
          type: array
          description: The list of Rhombus Camera RUUIDs.
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        buildingId:
          type: integer
          format: int32
          description: The ButterflyMx Building Id.
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        panelName:
          type: string
          description: The ButterflyMx Panel Name.
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
    DeviceIntegrationSettings:
      type: object
      nullable: true
      properties:
        latitude:
          type: number
          format: double
          nullable: true
        longitude:
          type: number
          format: double
          nullable: true
        name:
          type: string
          nullable: true
    EnvoyUserSettings:
      type: object
      nullable: true
      properties:
        guestsEnabled:
          type: boolean
          nullable: true
        packagesEnabled:
          type: boolean
          nullable: true
    EnvoyLocationInfoType:
      type: object
      nullable: true
      properties:
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        locationName:
          type: string
          nullable: true
    GoogleUserSettings:
      type: object
      nullable: true
      properties:
        defaultAlertFolderId:
          type: string
          nullable: true
        defaultAlertFolderName:
          type: string
          nullable: true
        defaultFolderId:
          type: string
          nullable: true
        defaultFolderName:
          type: string
          nullable: true
        refreshToken:
          type: string
          nullable: true
        saveAllAlerts:
          type: boolean
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        tokenValid:
          type: boolean
          nullable: true
    LocationSettings:
      type: object
      nullable: true
      properties:
        associatedCameras:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        printBadge:
          type: boolean
          nullable: true
    InnerRangeConsoleSettings:
      type: object
      nullable: true
      properties:
        apiKey:
          type: string
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/InnerRangeDoorInfoType'
          nullable: true
        skyTunnelSN:
          type: string
          nullable: true
        tokenValid:
          type: boolean
          nullable: true
    InnerRangeDoorInfoType:
      type: object
      nullable: true
      properties:
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        clipDuration:
          type: integer
          format: int32
          nullable: true
        doorName:
          type: string
          nullable: true
        leadingSeconds:
          type: integer
          format: int32
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        readerIds:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        remoteUnlock:
          type: boolean
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
    BadgeIntegrationDefaultOptions:
      type: object
      nullable: true
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        badgeAuthDisablesAlarmMonitoring:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        defaultOptionsEnabled:
          type: boolean
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        saveClips:
          type: boolean
          nullable: true
    BadgeIntegrationSettings:
      type: object
      nullable: true
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        badgeAuthDisablesAlarmMonitoring:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        misconfiguredDoors:
          type: array
          items:
            type: integer
            format: int32
            nullable: true
          nullable: true
        placeId:
          type: integer
          format: int32
          nullable: true
        placeName:
          type: string
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        webhookId:
          type: integer
          format: int32
          nullable: true
    MicrosoftTeamsChannelSettings:
      type: object
      nullable: true
      properties:
        botInstallationId:
          type: string
          nullable: true
        channelId:
          type: string
          nullable: true
        installingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        sendChannelNotifications:
          type: boolean
          nullable: true
    MicrosoftTeamsUserSettings:
      type: object
      nullable: true
      properties:
        botInstallationId:
          type: string
          nullable: true
        chatId:
          type: string
          nullable: true
        refreshToken:
          type: string
          nullable: true
        sendUserNotifications:
          type: boolean
          nullable: true
        teamIds:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        userId:
          type: string
          nullable: true
    SecurityZoneInfoType:
      type: object
      nullable: true
      properties:
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        isParentZone:
          type: boolean
          nullable: true
        securityZoneName:
          type: string
          nullable: true
        zoneAddress:
          type: string
          nullable: true
        zoneId:
          type: string
          nullable: true
        zoneParentId:
          type: string
          nullable: true
    OpentechAllianceFacilitySettings:
      type: object
      nullable: true
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/OpentechAllianceDoorInfoType'
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        saveClips:
          type: boolean
          nullable: true
    PimlocBaseAPIUrlEnum:
      type: string
      enum:
        - US
        - EU
    ShellyDevice:
      type: object
      nullable: true
      properties:
        canSendCommands:
          $ref: '#/components/schemas/ShellyDevicePermissionEnum'
        channels:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        deviceType:
          $ref: '#/components/schemas/ShellyDeviceTypeEnum'
        hostUrl:
          type: string
          nullable: true
        isOnline:
          type: boolean
          nullable: true
        temperature:
          type: number
          format: double
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
        voltage:
          type: number
          format: double
          nullable: true
    ToastRestaurantSettings:
      type: object
      nullable: true
      properties:
        locationName:
          type: string
          description: The location name of the restaurant from Toast
          nullable: true
        restaurantName:
          type: string
          description: The name of the restaurant from Toast, e.g. COFFEE CAN
          nullable: true
        serviceAreaSettingsMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/GenericPosSettings'
          description: Collection of service area settings for this restaurant
          nullable: true
    WebhookInfo:
      type: object
      properties:
        webhookDisabled:
          type: boolean
          nullable: true
        webhookSecret:
          type: string
          nullable: true
    ZapierWebhookSettings:
      type: object
      nullable: true
      properties:
        backoffSec:
          type: integer
          format: int32
          nullable: true
        doorState:
          $ref: '#/components/schemas/DoorStatusEnum'
        humidityLowerThreshold:
          type: number
          format: float
          nullable: true
        humidityUpperThreshold:
          type: number
          format: float
          nullable: true
        tempLowerThreshold:
          type: number
          format: float
          nullable: true
        tempUpperThreshold:
          type: number
          format: float
          nullable: true
        url:
          type: string
          nullable: true
        uuids:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        zapEnum:
          $ref: '#/components/schemas/ZapierEnum'
      required:
        - url
        - zapEnum
    OnGuardDeploymentSettings:
      type: object
      nullable: true
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        badgeAuthDisablesAlarmMonitoring:
          type: boolean
          nullable: true
        createAccessAnomalyAlerts:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        displayName:
          type: string
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        doorsValidated:
          type: boolean
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        misconfiguredDoors:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        presharedSecret:
          type: string
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
    IntegrationAuditEventEnum:
      type: string
      enum:
        - UPDATE
        - DELETE
    OpentechAllianceDoorInfoType:
      type: object
      nullable: true
      properties:
        actionGroupId:
          type: string
          nullable: true
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        clipDuration:
          type: integer
          format: int32
          nullable: true
        doorName:
          type: string
          nullable: true
        leadingSeconds:
          type: integer
          format: int32
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        remoteUnlock:
          type: boolean
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
    ShellyDevicePermissionEnum:
      type: string
      enum:
        - AUTHORIZED
        - UNAUTHORIZED
        - UNKNOWN
    ShellyDeviceTypeEnum:
      type: string
      enum:
        - RELAY
        - LIGHT
        - ROLLER
    GenericPosSettings:
      type: object
      description: Collection of service area settings for this restaurant
      nullable: true
      properties:
        assignedCameraList:
          type: array
          description: >-
            A list of camera uuids from Rhombus that are assigned to the PoS
            device
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        posName:
          type: string
          description: The name of the point of sale device
          nullable: true
    DoorStatusEnum:
      type: string
      description: Door state for door sensor webhooks
      enum:
        - OPEN
        - CLOSED
        - AJAR
    ZapierEnum:
      type: string
      description: Zapier integration type
      enum:
        - BUTTON_EVENTS
        - DOOR_SENSOR_EVENTS
        - ENVIRONMENTAL_SENSOR_EVENTS
        - RULE_EVENTS
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````